<?php
$index = $_GET["inc"];
session_start();

if(isset($_SESSION["proveedor"])){
    $proveedor = $_SESSION["proveedor"];
    unset($proveedor[$index]);
    $proveedor = array_values($proveedor);

    $_SESSION["proveedor"] = $proveedor;

    if(count($proveedor) == 0){
         unset($_SESSION["proveedor"]);
    }
}

header("location: ../../compra.php");
?>